Bug 1414748 - Proxy settings misconfigured
Summary: Proxy settings misconfigured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Tim Bielawa
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 11:08 UTC by Marko Myllynen
Modified: 2017-08-16 19:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OpenShift Ansible facts were splitting a configuration parameter incorrectly. Consequence: Invalid 'NO_PROXY' strings were generated and inserted into user docker sysconfig files. Fix: Reviewed and fixed the logic that generates the NO_PROXY strings. Result: Valid docker NO_PROXY settings are generated and inserted into the sysconfig/docker file now.
Clone Of:
Environment:
Last Closed: 2017-08-10 05:17:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1716 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.6 RPM Release Advisory 2017-08-10 09:02:50 UTC

Description Marko Myllynen 2017-01-19 11:08:57 UTC
Description of problem:
If using in the inventory file something like

openshift_http_proxy=http://10.10.10.10:8080
openshift_https_proxy=http://10.10.10.10:8080
openshift_no_proxy=10.1.0.0/16,172.30.0.0/16,test.example.com

I see the Docker proxy settings being created correctly. However, if using:

#openshift_http_proxy=http://10.10.10.10:8080
#openshift_https_proxy=http://10.10.10.10:8080
openshift_no_proxy=10.1.0.0/16,172.30.0.0/16,test.example.com

the resulting Docker configuration is broken:

NO_PROXY='1,0,.,1,.,0,.,0,/,1,6,,,1,7,2,.,3,0,.,0,.,0,/,1,6,,,t,e,s,t,.,e,x,a,m,p,l,e,.,c,o,m'

Clearly defining openshift_no_proxy only may not be helpful but the end result should not be like above.

Comment 1 Scott Dodson 2017-01-19 15:33:06 UTC
Which installer version are you using?

Comment 2 Marko Myllynen 2017-01-19 16:22:32 UTC
Seeing this with latest official 3.3/3.4 packages, e.g., 3.4.44-1.git.0.efa61c6.el7. Thanks.

Comment 3 Scott Dodson 2017-01-19 22:14:29 UTC
Proposed fix https://github.com/openshift/openshift-ansible/pull/3131

Comment 4 Tim Bielawa 2017-02-06 16:32:13 UTC
Fixed the merge conflicts and re-running the jenkins tests now.

Comment 5 Tim Bielawa 2017-03-16 17:09:03 UTC
Rerunning the test suites on this now. Maybe they'll pass this time.

Comment 6 Tim Bielawa 2017-06-28 16:05:18 UTC
Testing is running on this again.

Comment 8 Gan Huang 2017-07-06 08:32:33 UTC
Verified with openshift-ansible-3.6.135-1.git.0.5533fe3.el7.noarch.rpm

#cat inventory_hosts
<--snip-->
openshift_no_proxy=".cluster.local,.lab.sjc.redhat.com,10.1.0.0/16,172.30.0.0/16"
<--snip-->

Installation succeed and no_proxy created correctly
# grep 'NO_PROXY' /etc/sysconfig/docker
NO_PROXY='.cluster.local,.lab.sjc.redhat.com,.svc,10.1.0.0/16,172.30.0.0/16,ip-172-18-9-154.ec2.internal'

Comment 10 errata-xmlrpc 2017-08-10 05:17:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1716


Note You need to log in before you can comment on or make changes to this bug.